## flacdec flacdec — Decodes FLAC lossless audio streams |

## Types and Values

struct | GstFlacDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstFlacDec

## Description

## Synopsis

### Element Information

plugin | flac
author | Tim-Philipp Müller <tim@centricular.net>, Wim Taymans <wim.taymans@gmail.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-flac, framed=(boolean)true, rate=(int)[ 1, 655350 ], channels=(int)[ 1, 8 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, S16LE, S24_32LE, S32LE }, layout=(string)interleaved, rate=(int)[ 1, 655350 ], channels=(int)[ 1, 8 ]

## Functions

## Types and Values

### struct GstFlacDec

    struct GstFlacDec;